<script>
    $(".applycoupon").on('click', function() {
        var couponcode = $('#searchcoupon').val();

        $.ajax({
            type: 'GET',
            url: "{% url 'transaction:getcoupon' %}",
            data: {
                'couponcode': couponcode,
            },
            success: function(response) {
                var coupon = JSON.parse(response["response"])[0]['fields']['discount']

                var totalprice = $("input[name='totalprice'").val()
                totalprice = totalprice * (1-coupon)
                $(".totalprice").text(totalprice.toString(10))

                var input = `
                <input type="hidden" name="couponcode" value="${couponcode}">
                `
                
                $("#pay").append(input)
                alert("Coupon added!")
            }
        })
        .fail  (function(jqXHR, textStatus, errorThrown) { alert("Error")   ; })
    })

    $("#submitaddressbtn").on('click', function() {
        var address = $("#submitaddress").val()

        console.log(address)
        var input = `
            <input type="hidden" name="address" value="${address}">
        `

        $("#pay").append(input)
        alert("Submit Address Successful!")
    })
</script>